﻿using Microsoft.EntityFrameworkCore;
using SiteManagementSystem_SoftwareEngineering_.Entity;

namespace SiteManagementSystem_SoftwareEngineering_.Service
{
    public class SQLService : DbContext
    {
        public SQLService(DbContextOptions<SQLService> options)
            : base(options)
        {
            Database.EnsureCreated();
        }

        public DbSet<User> Users { get; set; }
        public DbSet<Field> Fields { get; set; }
        public DbSet<FieldRecord> UserFieldRecords { get; set; }
        public DbSet<FieldRecord> FinishedFieldRecords { get; set; }
    }
}
